﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Xml.Serialization;
using System.Drawing;

namespace XmlTree
{
    [XmlRoot ("MojeData")]
    public class MyData
    {
        [XmlAttribute("znacka")]
        [Browsable(false)]
        public string Znacka
        {
            get { return "http:\\moje.com"; }
            set { }
        }

        private string text;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        private int value;

        // using System.ComponentModel;
        // using System.Xml.Serialization;
        [ XmlElement ("Hodnota") ]
        public int Value
        {
            get { return this.value; }
            set { this.value = value; }
        }

        private double value2;

        [XmlElement ("Hodnota2")]
        public double Value2
        {
            get { return value2; }
            set { value2 = value; }
        }

        private InnerData inner = new InnerData();

        public InnerData Inner
        {
            get { return inner; }
            set { inner = value; }
        }

        private List<InnerData> table = new List<InnerData>();

        [ XmlArray ("Sequence"), XmlArrayItem ("Item") ]
        public List<InnerData> Table
        {
            get { return table; }
            set { table = value; }
        }

        public MyData()
        {
            for (int i = 0; i < 3; i++)
                Table.Add(new InnerData());
        }

    }

    public class InnerData
    {
        private string name = "cervena";

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        // using System.Drawing;
        private Color color = Color.Red;

        [XmlIgnore()]
        public Color Barva
        {
            get { return color; }
            set { color = value; }
        }

        [XmlElement("Barva")]
        public string TextovaBarva
        {
            get { return color.Name; }
            set { color = Color.FromName (value); }
        }
    }

}
